project(DataBaseLMS LANGUAGES CXX)

common_info_for_project(DataBaseLMS)

add_library(DataBaseLMS SHARED
  DataBaseLMS_global.h
  databaselms.cpp
  databaselms_tasks.cpp
  databaselms_groups.cpp
  databaselms_users.cpp
  databaselms_instructors.cpp
  databaselms_trainees.cpp
  databaselms.h
  interfacedatabaselms.cpp
  interfacedatabaselms.h
  basicentity.cpp
  basicentity.h
  user.cpp
  user.h
  instructor.cpp
  instructor.h
  trainee.cpp
  trainee.h  
  group.cpp
  group.h
  computer.cpp
  computer.h
  classroom.cpp
  classroom.h
  tasksAmmFim.cpp
  tasksAmmFim.h
  typeQueryToDB.h
  timingoftrainee.cpp
  timingoftrainee.h
  contactModel.h
  resources.qrc
)

target_link_libraries(DataBaseLMS PRIVATE Qt5::Widgets)
target_link_libraries(DataBaseLMS PRIVATE Qt5::Sql)
target_link_libraries(DataBaseLMS PRIVATE Qt5::Xml)

target_compile_definitions(DataBaseLMS PRIVATE DATABASELMS_LIBRARY)

if(PROJECT_TYPE_DEBUG)

    add_custom_command(TARGET DataBaseLMS
	   POST_BUILD
	   COMMAND ${CMAKE_COMMAND} -E copy_if_different
	   ${REPO_PATH}/BUILDS/Debug64/DataBaseLMS/libDataBaseLMS.dll
	   ${REPO_PATH}/BUILDS/Debug64/TestServerLMS)

    add_custom_command(TARGET DataBaseLMS
	   POST_BUILD
	   COMMAND ${CMAKE_COMMAND} -E copy_if_different
	   ${REPO_PATH}/BUILDS/Debug64/DataBaseLMS/libDataBaseLMS.dll
	   ${REPO_PATH}/BUILDS/Debug64/GUIdataBaseLMS)
else()

    add_custom_command(TARGET DataBaseLMS
	    POST_BUILD
	    COMMAND ${CMAKE_COMMAND} -E copy_if_different
	    ${REPO_PATH}/BUILDS/Release64/DataBaseLMS/libDataBaseLMS.dll
	    ${REPO_PATH}/BUILDS/Release64/TestServerLMS)

    add_custom_command(TARGET DataBaseLMS
	     POST_BUILD
	     COMMAND ${CMAKE_COMMAND} -E copy_if_different
	     ${REPO_PATH}/BUILDS/Release64/DataBaseLMS/libDataBaseLMS.dll
	     ${REPO_PATH}/BUILDS/Release64/GUIdataBaseLMS)
endif()



